Bug 272239 - Add solarized color scheme
Summary: Add solarized color scheme
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: 2.6.2
Platform: OpenSUSE Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-02 13:36 UTC by Ismail Donmez
Modified: 2011-07-24 12:52 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ismail Donmez 2011-05-02 13:36:58 UTC
Version:           4.6.2 (using KDE 4.6.2) 
OS:                Linux

There is a new color theme "solarized" [0] which has ports for several terminal emulators, but not for konsole. It would be very nice to get a konsole color scheme with solarized colors.

[0] http://ethanschoonover.com/solarized

Reproducible: Didn't try
Comment 1 Kurt Hindenburg 2011-05-16 03:32:43 UTC
SOLARIZED HEX     16/8 TERMCOL  XTERM/HEX   L*A*B      RGB         HSB
--------- ------- ---- -------  ----------- ---------- ----------- -----------
base03    #002b36  8/4 brblack  234 #1c1c1c 15 -12 -12   0  43  54 193 100  21
base02    #073642  0/4 black    235 #262626 20 -12 -12   7  54  66 192  90  26
base01    #586e75 10/7 brgreen  240 #585858 45 -07 -07  88 110 117 194  25  46
base00    #657b83 11/7 bryellow 241 #626262 50 -07 -07 101 123 131 195  23  51
base0     #839496 12/6 brblue   244 #808080 60 -06 -03 131 148 150 186  13  59
base1     #93a1a1 14/4 brcyan   245 #8a8a8a 65 -05 -02 147 161 161 180   9  63
base2     #eee8d5  7/7 white    254 #e4e4e4 92 -00  10 238 232 213  44  11  93
base3     #fdf6e3 15/7 brwhite  230 #ffffd7 97  00  10 253 246 227  44  10  99
yellow    #b58900  3/3 yellow   136 #af8700 60  10  65 181 137   0  45 100  71
orange    #cb4b16  9/3 brred    166 #d75f00 50  50  55 203  75  22  18  89  80
red       #dc322f  1/1 red      160 #d70000 50  65  45 220  50  47   1  79  86
magenta   #d33682  5/5 magenta  125 #af005f 50  65 -05 211  54 130 331  74  83
violet    #6c71c4 13/5 brmagenta 61 #5f5faf 50  15 -45 108 113 196 237  45  77
blue      #268bd2  4/4 blue      33 #0087ff 55 -10 -45  38 139 210 205  82  82
cyan      #2aa198  6/6 cyan      37 #00afaf 60 -35 -05  42 161 152 175  74  63
green     #859900  2/2 green     64 #5f8700 60 -20  65 133 153   0  68 100  60
Comment 2 Jekyll Wu 2011-07-23 02:28:59 UTC
Some guy has made one for konsole.
http://jeppewalther.com/blog/?p=177
Comment 3 Kurt Hindenburg 2011-07-24 12:52:56 UTC
Git commit dff2c80177503e8724d74753edb01b310347091f by Kurt Hindenburg.
Committed on 24/07/2011 at 14:49.
Pushed by hindenburg into branch 'master'.

Add solarized color scheme

File taken from with approval from author:
http://jeppewalther.com/blogContent/konsole/solarized-dark.colorscheme
FEATURE: 272239
FIXED-IN: 4.8

M  +1    -0    data/color-schemes/CMakeLists.txt
A  +83   -0    data/color-schemes/Solarized.colorscheme

http://commits.kde.org/konsole/dff2c80177503e8724d74753edb01b310347091f